## org.eclipse.datatools.sqltools.sqlbuilder
Interface SQLBuilderContextIds

    public interface SQLBuilderContextIds

This interface defines the ResourceSet help id constants.

Field Summary
`static java.lang.String` `PLUGIN_NAME`
`static java.lang.String` `SDTP_SELECT_DB_TABLE_PAGE`
`static java.lang.String` `SQDF_COL_SORTT_SORTO_GRID`
`static java.lang.String` `SQDF_STMT_OPER_GRID`
`static java.lang.String` `SQDS_COLUMNS_TAB_GRID`
`static java.lang.String` `SQDS_SELECT_GROUPS_WHITE_FIELD`
`static java.lang.String` `SQDU_SET_TAB`
`static java.lang.String` `SQDW_STMT_NAME_FIELD`
`static java.lang.String` `SQLB_ADD_TABLE_DIALOG`
`static java.lang.String` `SQLB_DELETE_VIEW`
`static java.lang.String` `SQLB_FULL_SELECT_VIEW`
`static java.lang.String` `SQLB_INSERT_VIEW`
`static java.lang.String` `SQLB_PREFERENCES_PAGE`
`static java.lang.String` `SQLB_SELECT_VIEW`
`static java.lang.String` `SQLB_UPDATE_VIEW`
`static java.lang.String` `SQLB_VALUES_CLAUSE_VIEW`
`static java.lang.String` `SQLB_VALUES_ROW_VIEW`
`static java.lang.String` `SQLB_WITH_STATEMENT_VIEW`
`static java.lang.String` `SQLB_WITH_TABLE_VIEW`
`static java.lang.String` `SQLD_NEW_STMT_DIALOG`
`static java.lang.String` `SQLE_CASE_OPTIONS_PAGE`
`static java.lang.String` `SQLE_CAST_BUILDER_PAGE`
`static java.lang.String` `SQLE_CONSTANT_OPTIONS_PAGE`
`static java.lang.String` `SQLE_EXPRESSIONS_BY_OPERATOR_PAGE`
`static java.lang.String` `SQLE_FUNCTION_BUILDER_PAGE`
`static java.lang.String` `SQLE_NUMERIC_CONSTANT_PAGE`
`static java.lang.String` `SQLE_SEARCH_TYPE_PAGE`
`static java.lang.String` `SQLE_SELECT_TYPE_PAGE`
`static java.lang.String` `SQLE_SIMPLE_TYPE_PAGE`
`static java.lang.String` `SQLE_STRING_CONSTANT_PAGE`
`static java.lang.String` `SQLE_SUBQUERY_PAGE`
`static java.lang.String` `SQLG_CREATE_JOIN_DIALOG`
`static java.lang.String` `SQLG_DEFINE_JOINTYPE_DIALOG`
`static java.lang.String` `SQLG_UPDATE_ALIAS_TEXT`
`static java.lang.String` `SQSS_SHARED_SEL_UP_DEL_GRID`

Field Detail

### PLUGIN_NAME

    static final java.lang.String PLUGIN_NAME

See Also:
  Constant Field Values

### SQLD_NEW_STMT_DIALOG

    static final java.lang.String SQLD_NEW_STMT_DIALOG

See Also:
  Constant Field Values

### SQLB_INSERT_VIEW

    static final java.lang.String SQLB_INSERT_VIEW

See Also:
  Constant Field Values

### SQLB_UPDATE_VIEW

    static final java.lang.String SQLB_UPDATE_VIEW

See Also:
  Constant Field Values

### SQLB_DELETE_VIEW

    static final java.lang.String SQLB_DELETE_VIEW

See Also:
  Constant Field Values

### SQLB_SELECT_VIEW

    static final java.lang.String SQLB_SELECT_VIEW

See Also:
  Constant Field Values

### SQLB_FULL_SELECT_VIEW

    static final java.lang.String SQLB_FULL_SELECT_VIEW

See Also:
  Constant Field Values

### SQLB_WITH_STATEMENT_VIEW

    static final java.lang.String SQLB_WITH_STATEMENT_VIEW

See Also:
  Constant Field Values

### SQLB_VALUES_CLAUSE_VIEW

    static final java.lang.String SQLB_VALUES_CLAUSE_VIEW

See Also:
  Constant Field Values

### SQLB_VALUES_ROW_VIEW

    static final java.lang.String SQLB_VALUES_ROW_VIEW

See Also:
  Constant Field Values

### SQLB_WITH_TABLE_VIEW

    static final java.lang.String SQLB_WITH_TABLE_VIEW

See Also:
  Constant Field Values

### SQLB_ADD_TABLE_DIALOG

    static final java.lang.String SQLB_ADD_TABLE_DIALOG

See Also:
  Constant Field Values

### SQLB_PREFERENCES_PAGE

    static final java.lang.String SQLB_PREFERENCES_PAGE

See Also:
  Constant Field Values

### SQLE_SELECT_TYPE_PAGE

    static final java.lang.String SQLE_SELECT_TYPE_PAGE

See Also:
  Constant Field Values

### SQLE_FUNCTION_BUILDER_PAGE

    static final java.lang.String SQLE_FUNCTION_BUILDER_PAGE

See Also:
  Constant Field Values

### SQLE_CASE_OPTIONS_PAGE

    static final java.lang.String SQLE_CASE_OPTIONS_PAGE

See Also:
  Constant Field Values

### SQLE_SEARCH_TYPE_PAGE

    static final java.lang.String SQLE_SEARCH_TYPE_PAGE

See Also:
  Constant Field Values

### SQLE_SIMPLE_TYPE_PAGE

    static final java.lang.String SQLE_SIMPLE_TYPE_PAGE

See Also:
  Constant Field Values

### SQLE_CAST_BUILDER_PAGE

    static final java.lang.String SQLE_CAST_BUILDER_PAGE

See Also:
  Constant Field Values

### SQLE_CONSTANT_OPTIONS_PAGE

    static final java.lang.String SQLE_CONSTANT_OPTIONS_PAGE

See Also:
  Constant Field Values

### SQLE_NUMERIC_CONSTANT_PAGE

    static final java.lang.String SQLE_NUMERIC_CONSTANT_PAGE

See Also:
  Constant Field Values

### SQLE_STRING_CONSTANT_PAGE

    static final java.lang.String SQLE_STRING_CONSTANT_PAGE

See Also:
  Constant Field Values

### SQLE_SUBQUERY_PAGE

    static final java.lang.String SQLE_SUBQUERY_PAGE

See Also:
  Constant Field Values

### SQLE_EXPRESSIONS_BY_OPERATOR_PAGE

    static final java.lang.String SQLE_EXPRESSIONS_BY_OPERATOR_PAGE

See Also:
  Constant Field Values

### SDTP_SELECT_DB_TABLE_PAGE

    static final java.lang.String SDTP_SELECT_DB_TABLE_PAGE

See Also:
  Constant Field Values

### SQDS_SELECT_GROUPS_WHITE_FIELD

    static final java.lang.String SQDS_SELECT_GROUPS_WHITE_FIELD

See Also:
  Constant Field Values

### SQSS_SHARED_SEL_UP_DEL_GRID

    static final java.lang.String SQSS_SHARED_SEL_UP_DEL_GRID

See Also:
  Constant Field Values

### SQDS_COLUMNS_TAB_GRID

    static final java.lang.String SQDS_COLUMNS_TAB_GRID

See Also:
  Constant Field Values

### SQDU_SET_TAB

    static final java.lang.String SQDU_SET_TAB

See Also:
  Constant Field Values

### SQDF_STMT_OPER_GRID

    static final java.lang.String SQDF_STMT_OPER_GRID

See Also:
  Constant Field Values

### SQDF_COL_SORTT_SORTO_GRID

    static final java.lang.String SQDF_COL_SORTT_SORTO_GRID

See Also:
  Constant Field Values

### SQDW_STMT_NAME_FIELD

    static final java.lang.String SQDW_STMT_NAME_FIELD

See Also:
  Constant Field Values

### SQLG_UPDATE_ALIAS_TEXT

    static final java.lang.String SQLG_UPDATE_ALIAS_TEXT

See Also:
  Constant Field Values

### SQLG_CREATE_JOIN_DIALOG

    static final java.lang.String SQLG_CREATE_JOIN_DIALOG

See Also:
  Constant Field Values

### SQLG_DEFINE_JOINTYPE_DIALOG

    static final java.lang.String SQLG_DEFINE_JOINTYPE_DIALOG

See Also:
  Constant Field Values